#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int a, b, x, y;
    cin >> a >> b >> x >> y;

    if ((a == x) && (b == y)) {
        cout << "nijedan";
    } else if (a == x) {
        cout << "drugi";
    } else if (b == y) {
        cout << "prvi";
    } else {
        cout << "?";
    }
}